Skip to main content
Update an existing estimate template
PUT https://services.leadconnectorhq.com/invoices/estimate/template/{templateId}

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Path parameters

templateId
string
default:"5f9d6d8b1b2d2c001f2d9e4b"
required
Template Id

Body

altId
string
default:"6578278e879ad2646715ba9c"
required
Account Id or Agency Id
altType
string
required
Posibles valores: ‘account’
name
string
default:"Home Service Estimate Template"
required
Estimate Name
businessDetails
object
required
currency
string
default:"USD"
required
Currency code
items
array[]
required
An array of items for the estimate.
liveMode
boolean
default:"True"
livemode for estimate
discount
object
required
termsNotes
string
default:"<p>This is a default terms.</p>"
Terms notes, Also supports HTML markups
title
string
default:"ESTIMATE"
Title for the estimate
automaticTaxesEnabled
boolean
default:"True"
Automatic taxes enabled for the Estimate
meta
object
Meta data for the estimate
sendEstimateDetails
object
When sending estimate directly while saving
estimateNumberPrefix
string
default:"EST-"
Prefix for the estimate number
attachments
object[]
attachments for the invoice
miscellaneousCharges
object
miscellaneous charges for the estimate

Respuestas

altId
string
default:"6578278e879ad2646715ba9c"
required
Account Id or Agency Id
altType
string
required
Posibles valores: ‘account’
_id
string
default:"67ac9a51106ee8311e911XXXX"
required
Unique identifier
liveMode
boolean
default:"True"
required
Indicates if it is in live mode
deleted
boolean
default:"False"
required
Indicates if deleted
name
string
default:"Estimate Name"
required
Name
currency
string
default:"USD"
required
Currency code
businessDetails
object
required
Business details associated with the estimate
items
array[]
required
An array of items
discount
object
required
Discount details for the estimate template
title
string
default:"ESTIMATE"
Title
estimateNumberPrefix
string
default:"EST-"
Estimate number prefix
attachments
object[]
Attachments
updatedBy
string
default:"3HIpOF9NIc5ltriQXXXX"
User Id of who last updated
total
number
default:"1222.03"
required
Total amount
createdAt
string
default:"2025-02-12T13:17:47.416Z"
required
Timestamp when created
updatedAt
string
default:"2025-02-12T13:17:47.416Z"
required
Timestamp when last updated
__v
number
default:"0"
required
Version number
automaticTaxesEnabled
boolean
default:"False"
required
Indicates if automatic taxes are enabled for this estimate
termsNotes
string
Terms and conditions for the estimate, supports HTML markup
{
  "altId": "6578278e879ad2646715ba9c",
  "altType": "account",
  "_id": "67ac9a51106ee8311e911XXXX",
  "liveMode": true,
  "deleted": false,
  "name": "Estimate Name",
  "currency": "USD",
  "businessDetails": {
    "logoUrl": "your_image-url",
    "name": "Business name",
    "address": {
      "addressLine1": "address line 1",
      "city": "Test City",
      "state": "State Name",
      "countryCode": "US",
      "postalCode": "12345"
    },
    "phoneNo": "+1 1234567890",
    "website": "www.example.com",
    "customValues": [
      {
        "name": "Test",
        "fieldKey": "{{custom_values.test}}",
        "id": "5DYTWoiQvWiIJZXX44XXX",
        "value": "Test's Custom Value"
      }
    ]
  },
  "items": [
    {
      "taxes": [],
      "taxInclusive": false,
      "_id": "67ac9a51106ee8311e911XXXX",
      "description": "<p>Futuristic anti-gravity racing</p>",
      "currency": "USD",
      "productId": "67ac9a51106ee8311e911XXXX",
      "priceId": "67ac9a51106ee8311e911XXXX",
      "amount": 9.99,
  // truncado: 48 lineas mas
}
{}
{}
{}

Ejemplo

curl -X PUT 'https://services.leadconnectorhq.com/invoices/estimate/template/YOUR_templateId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "altId": "6578278e879ad2646715ba9c",
  "altType": "account",
  "name": "Home Service Estimate Template",
  "businessDetails": {
    "logoUrl": "https://example.com/logo.png",
    "name": "ABC Corp.",
    "phoneNo": "+1-214-559-6993",
    "address": "9931 Beechwood, TX",
    "website": "wwww.example.com",
    "customValues": [
      "string"
    ]
  },
  "currency": "USD",
  "items": [
    []
  ],
  "liveMode": true,
  "discount": {
    "value": 10,
    "type": "percentage",
    "validOnProductIds": "[ '6579751d56f60276e5bd4154' ]"
  },
  "termsNotes": "<p>This is a default terms.</p>",
  "title": "ESTIMATE",
  "automaticTaxesEnabled": true,
  "meta": {
    "key": "value"
  },
  "estimateNumberPrefix": "EST-",
  "attachments": [
    {
      "id": "6241712be68f7a98102ba272",
      "name": "Electronics.pdf",
      "url": "https://example.com/digital-delivery",
      "type": "string",
      "size": 10000
    }
  ]
}'
const response = await fetch('https://services.leadconnectorhq.com/invoices/estimate/template/YOUR_templateId', {
  method: 'PUT',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"altId": "6578278e879ad2646715ba9c", "altType": "account", "name": "Home Service Estimate Template", "businessDetails": {"logoUrl": "https://example.com/logo.png", "name": "ABC Corp.", "phoneNo": "+1-214-559-6993", "address": "9931 Beechwood, TX", "website": "wwww.example.com", "customValues": ["string"]}, "currency": "USD", "items": [[]], "liveMode": true, "discount": {"value": 10, "type": "percentage", "validOnProductIds": "[ '6579751d56f60276e5bd4154' ]"}, "termsNotes": "<p>This is a default terms.</p>", "title": "ESTIMATE", "automaticTaxesEnabled": true, "meta": {"key": "value"}, "estimateNumberPrefix": "EST-", "attachments": [{"id": "6241712be68f7a98102ba272", "name": "Electronics.pdf", "url": "https://example.com/digital-delivery", "type": "string", "size": 10000}]}),
});
const data = await response.json();
import os, requests
response = requests.request(
    'PUT',
    'https://services.leadconnectorhq.com/invoices/estimate/template/YOUR_templateId',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
        'Content-Type': 'application/json',
    },
    json={"altId": "6578278e879ad2646715ba9c", "altType": "account", "name": "Home Service Estimate Template", "businessDetails": {"logoUrl": "https://example.com/logo.png", "name": "ABC Corp.", "phoneNo": "+1-214-559-6993", "address": "9931 Beechwood, TX", "website": "wwww.example.com", "customValues": ["string"]}, "currency": "USD", "items": [[]], "liveMode": true, "discount": {"value": 10, "type": "percentage", "validOnProductIds": "[ '6579751d56f60276e5bd4154' ]"}, "termsNotes": "<p>This is a default terms.</p>", "title": "ESTIMATE", "automaticTaxesEnabled": true, "meta": {"key": "value"}, "estimateNumberPrefix": "EST-", "attachments": [{"id": "6241712be68f7a98102ba272", "name": "Electronics.pdf", "url": "https://example.com/digital-delivery", "type": "string", "size": 10000}]},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/invoices/estimate/template/YOUR_templateId');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'PUT',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode({'altId': '6578278e879ad2646715ba9c', 'altType': 'account', 'name': 'Home Service Estimate Template', 'businessDetails': {'logoUrl': 'https://example.com/logo.png', 'name': 'ABC Corp.', 'phoneNo': '+1-214-559-6993', 'address': '9931 Beechwood, TX', 'website': 'wwww.example.com', 'customValues': ['string']}, 'currency': 'USD', 'items': [[]], 'liveMode': true, 'discount': {'value': 10, 'type': 'percentage', 'validOnProductIds': '[ '6579751d56f60276e5bd4154' ]'}, 'termsNotes': '<p>This is a default terms.</p>', 'title': 'ESTIMATE', 'automaticTaxesEnabled': true, 'meta': {'key': 'value'}, 'estimateNumberPrefix': 'EST-', 'attachments': [{'id': '6241712be68f7a98102ba272', 'name': 'Electronics.pdf', 'url': 'https://example.com/digital-delivery', 'type': 'string', 'size': 10000}]}),
]);
$data = json_decode(curl_exec($ch), true);